import React, { createContext, useContext } from "react";
import { fromLezer } from "hast-util-from-lezer";
import { toH } from "hast-to-hyperscript";
export const Parsers = createContext({});
export const Code = (props) => {
    const parsers = useContext(Parsers);
    if (props.language !== undefined && props.language in parsers) {
        const parser = parsers[props.language];
        const tree = parser.parse(props.source);
        const root = fromLezer(props.source, tree);
        const content = toH(React.createElement, root);
        return React.createElement("code", { className: props.language }, content);
    }
    else {
        return React.createElement("code", { className: props.language }, props.source);
    }
};
